Joltio Data / data.corrections.submit

Submit a Data source correction for review

Submit a Data source correction for review.

POST /v1/data/corrections

Authentication
Optional
Formats
JSON
Rows per query
Not applicable

Parameters

NameTypeLocation
entity_typestringbody
entity_idstringbody
fieldstringbody
proposed_valuestringbody
current_valueobjectbody
rationaleobjectbody
evidence_urlobjectbody
reporter_emailobjectbody

Responses

201OK

curl

curl -X POST 'https://api.joltio.app/v1/data/corrections' -H 'X-API-Key: $JOLTIO_API_KEY' -H 'Content-Type: application/json' -d '{"entity_type":"unit","entity_id":"ABC","field":"name","proposed_value":"Corrected name"}'

Python

from joltio import Client
import json
with Client() as j:
    result = j.post('/v1/data/corrections', json=json.loads('{"entity_type":"unit","entity_id":"ABC","field":"name","proposed_value":"Corrected name"}'))

OpenAPI 3.1 · /data/openapi.json